Bug 143238 - clone_bug.cgi fails with large amount of comments
clone_bug.cgi fails with large amount of comments
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
Mike MacKenzie
:
Depends On:
Blocks: BZ_218_Final
  Show dependency treegraph
 
Reported: 2004-12-17 12:12 EST by David Lawrence
Modified: 2007-04-18 13:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 15:21:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2004-12-17 12:12:24 EST
Description of problem:

-- https://bugzilla.redhat.com/beta/show_bug.cgi?format=ft&id=115279

Choose the clone as feature.
One gets the error:
https://bugzilla.redhat.com/beta/show_bug.cgi?format=ft&id=115279
Internal Server Error

The server encountered an internal error or misconfiguration and was unable to
complete your request.

Please contact the server administrator, bugzilla@redhat.com and inform them of
the time the error occurred, and anything you might have done that may have
caused the error.

More information about this error may be available in the server error log.
Apache/2.0.46 (Red Hat) Server at bugzilla.redhat.com Port 443

Seems the comment part is too long to create a URL string or there are
characters that the cgi is failing on. Clone bug/feature needs to be optimized
to handle this either through using POST instead which may not work if you need
to select a product or have enter_bug.cgi load the data itself.
Comment 1 David Lawrence 2004-12-20 15:21:37 EST
Only submitting the first comment. Conversations in the main Bugzilla database
have mentioned that most do not care about comments other than the first so we
will try this for a while and see what people think. Unfortunately Apache limits
the length of a URL query so unless this is all redesigned to be loaded by
enter_bug.cgi, then this will not work in most cases.

Note You need to log in before you can comment on or make changes to this bug.